CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-17017

Due to a missing case handling object types, a type confusion vulnerability could occur, resulting in a crash. We presume that with enough effort that it could be exploited to run arbitrary code. This vulnerability affects Firefox ESR < 68.4 and Firefox < 72.
Publish Date : 2020-01-08 Last Update Date : 2020-01-13
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.8
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 843

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2020:0085: firefox security update (Critical) oval:com.redhat.rhsa:def:20200085 unix
RHSA-2020:0086: firefox security update (Critical) oval:com.redhat.rhsa:def:20200086 unix
RHSA-2020:0111: firefox security update (Critical) oval:com.redhat.rhsa:def:20200111 unix
RHSA-2020:0120: thunderbird security update (Important) oval:com.redhat.rhsa:def:20200120 unix
RHSA-2020:0123: thunderbird security update (Important) oval:com.redhat.rhsa:def:20200123 unix
RHSA-2020:0127: thunderbird security update (Important) oval:com.redhat.rhsa:def:20200127 unix
RHSA-2020:0292: thunderbird security update (Important) oval:com.redhat.rhsa:def:20200292 unix
RHSA-2020:0295: firefox security update (Critical) oval:com.redhat.rhsa:def:20200295 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2019-17017

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 16.04 * * * Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 18.04 * * * Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 19.04 * * * Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 19.10 * * * Version Details Vulnerabilities
5 OS Debian Debian Linux 8.0 * * * Version Details Vulnerabilities
6 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
7 OS Debian Debian Linux 10.0 * * * Version Details Vulnerabilities
8 Application Mozilla Firefox * * * * Version Details Vulnerabilities
9 Application Mozilla Firefox Esr * * * * Version Details Vulnerabilities
10 OS Redhat Enterprise Linux Desktop 6.0 * * * Version Details Vulnerabilities
11 OS Redhat Enterprise Linux Desktop 7.0 * * * Version Details Vulnerabilities
12 OS Redhat Enterprise Linux Server 6.0 * * * Version Details Vulnerabilities
13 OS Redhat Enterprise Linux Server 7.0 * * * Version Details Vulnerabilities
14 OS Redhat Enterprise Linux Server Aus 7.7 * * * Version Details Vulnerabilities
15 OS Redhat Enterprise Linux Server Tus 7.7 * * * Version Details Vulnerabilities
16 OS Redhat Enterprise Linux Workstation 6.0 * * * Version Details Vulnerabilities
17 OS Redhat Enterprise Linux Workstation 7.0 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 4
Debian Debian Linux 3
Mozilla Firefox 1
Mozilla Firefox Esr 1
Redhat Enterprise Linux Desktop 2
Redhat Enterprise Linux Server 2
Redhat Enterprise Linux Server Aus 1
Redhat Enterprise Linux Server Tus 1
Redhat Enterprise Linux Workstation 2

- References For CVE-2019-17017

http://lists.opensuse.org/opensuse-security-announce/2020-01/msg00043.html
SUSE openSUSE-SU-2020:0094
https://lists.debian.org/debian-lts-announce/2020/01/msg00016.html
MLIST [debian-lts-announce] 20200120 [SECURITY] [DLA 2071-1] thunderbird security update
https://www.debian.org/security/2020/dsa-4603
DEBIAN DSA-4603
https://seclists.org/bugtraq/2020/Jan/26
BUGTRAQ 20200120 [SECURITY] [DSA 4603-1] thunderbird security update
https://usn.ubuntu.com/4241-1/
UBUNTU USN-4241-1
https://access.redhat.com/errata/RHSA-2020:0127
REDHAT RHSA-2020:0127
https://access.redhat.com/errata/RHSA-2020:0120
REDHAT RHSA-2020:0120
https://access.redhat.com/errata/RHSA-2020:0123
REDHAT RHSA-2020:0123
http://lists.opensuse.org/opensuse-security-announce/2020-01/msg00029.html
SUSE openSUSE-SU-2020:0060
https://access.redhat.com/errata/RHSA-2020:0111
REDHAT RHSA-2020:0111
http://packetstormsecurity.com/files/155912/Slackware-Security-Advisory-mozilla-thunderbird-Updates.html
https://access.redhat.com/errata/RHSA-2020:0085
REDHAT RHSA-2020:0085
https://access.redhat.com/errata/RHSA-2020:0086
REDHAT RHSA-2020:0086
https://seclists.org/bugtraq/2020/Jan/18
BUGTRAQ 20200112 [slackware-security] mozilla-thunderbird (SSA:2020-010-01)
https://usn.ubuntu.com/4234-1/
UBUNTU USN-4234-1
https://www.debian.org/security/2020/dsa-4600
DEBIAN DSA-4600
https://seclists.org/bugtraq/2020/Jan/12
BUGTRAQ 20200109 [SECURITY] [DSA 4600-1] firefox-esr security update
https://lists.debian.org/debian-lts-announce/2020/01/msg00005.html
MLIST [debian-lts-announce] 20200109 [SECURITY] [DLA 2061-1] firefox-esr security update
https://www.mozilla.org/security/advisories/mfsa2020-02/ CONFIRM
https://www.mozilla.org/security/advisories/mfsa2020-01/ CONFIRM
https://bugzilla.mozilla.org/show_bug.cgi?id=1603055
https://access.redhat.com/errata/RHSA-2020:0295
REDHAT RHSA-2020:0295
https://access.redhat.com/errata/RHSA-2020:0292
REDHAT RHSA-2020:0292
https://security.gentoo.org/glsa/202003-02
GENTOO GLSA-202003-02
https://usn.ubuntu.com/4335-1/
UBUNTU USN-4335-1

- Metasploit Modules Related To CVE-2019-17017

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.